## org.eclipse.emf.transaction.util
Interface Adaptable

All Known Implementing Classes:
  TransactionalEditingDomainImpl

    public interface Adaptable

Interface implemented by transactional editing domains that support dynamic adaptation to optional interfaces.

As the `Adaptable` interface is, itself, optional, the `TransactionUtil` class provides a convenient `TransactionUtil.getAdapter(org.eclipse.emf.transaction.TransactionalEditingDomain, Class)` method to attempt to obtain an adapter for any editing domain.

Since:
  1.2

Method Summary

`

`<T> T`

`

`getAdapter(Class<? extends T> adapterType)`
Obtains an instance of the specified adapter type.

Method Detail

### getAdapter

    <T> T getAdapter(Class<? extends T> adapterType)

  Obtains an instance of the specified adapter type.

  Type Parameters:
    `T` - the interface for which to get an adapter
  Parameters:
    `adapterType` - the required interface
  Returns:
    an instance of the required interface that adapts me, or `null` if I do not supply this interface

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.